<?php
/*
 * ##################################################################
 * Created on: Jul 28, 2005
 * File name:  offline.php 
 * ##################################################################
 * This code is a sole property of netenberg.com 
 * ##################################################################
 */
$name       = "Offline";
$offline    = array (
                array ("Instructions message"       , "disp_msg"), 
                array ("Show additional currencies" , "add_curr", "No", "Yes"), 
                array ("Active"                     , "active", "No", "Yes"), 
                array ("Title"                      , "title")
                );
$send_method= "DIRECT";
$pay        = new offline();
/*
 * Class to do all offline
 * offline Version 1.0
 */
class offline
{
	/*
	 * Constructor
	 */
	function offline()
	{
		//Do nothing
	}
    /*
     * Function to send variables
     */
    function sendVariables($path_url, $pp_vals)
    {
        $this->_POST1               = array ();
        $this->_POST1['item_number']= time().rand(0, 1000);
        if (isset ($_POST['force_inv_no']))
        {
            $this->_POST1['item_number'] = $_POST['force_inv_no'];
        }
    }
    /*
     * IPN=Internet Payment Notifier
     */
    function ipn(& $BL)
    {
        return false;
    }
}
?>